List Client Groups
curl --request GET \
--url https://api.example.com/client-groups/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/client-groups/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/client-groups/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"archived": true,
"is_default": true,
"members": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"status": "active",
"folder_access": [
{}
],
"file_access": [
{}
]
}
],
"workspaces": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"access_level": "VIEW"
}
],
"policy": {
"period_days": 123,
"ai_credit_limit": 123,
"infrastructure_credit_limit": 123,
"request_limit": 123,
"hard_stop": true
},
"usage": {},
"asset_access": [
{}
],
"folder_access": [
{}
],
"file_access": [
{}
]
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}client-access
List Client Groups
GET
/
client-groups
/
List Client Groups
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes